Skip to main content
GET
/
usage-alerts
List usage alert configs
curl --request GET \
  --url https://api.sevalla.com/v3/usage-alerts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
      "company_id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
      "project_id": null,
      "limit_usd": 100,
      "emails": [
        "billing@example.com"
      ],
      "triggers": [
        {
          "id": "fb5e5168-4281-4bec-94c5-0d1584e9e657",
          "percentage": 80,
          "last_fired_at": null
        }
      ],
      "created_at": "2025-01-30T00:00:00.000Z",
      "updated_at": "2025-01-30T00:00:00.000Z"
    }
  ],
  "total": 42,
  "offset": 0,
  "limit": 25
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:25

Maximum number of items per page

Required range: 1 <= x <= 100
Example:

25

offset
integer
default:0

Number of items to skip

Required range: 0 <= x <= 10000
Example:

0

project_id
string<uuid>

Filter to the config scoped to a specific project. Omit to list all configs for the company.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

data
object[]
required

List of items

total
integer
required

Total number of items matching the query

Required range: 0 <= x <= 10000
Example:

42

offset
integer
required

Current pagination offset

Required range: 0 <= x <= 10000
Example:

0

limit
integer
required

Current pagination limit

Required range: 1 <= x <= 100
Example:

25